complexType "InterestAccrued"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveringPartyReference?, receivingPartyReference?, interest?, (withholdingTax?, withholdingTaxTerms?)?, interestCalculationTerms?, interestCalculationDetails*
</...>

Content Model Elements (7):

  deliveringPartyReference (defined in InterestAccrued complexType),
  interest (defined in InterestAccrued complexType),
  interestCalculationDetails,
  interestCalculationTerms,
  receivingPartyReference (defined in InterestAccrued complexType),
  withholdingTax,
  withholdingTaxTerms

All Direct / Indirect Based Elements (4):

  interestAccrued (in bothDirections defined in InterestDirection complexType),
  interestAccrued (in bothDirections defined in InterestStatementDirection complexType),
  interestAccrued (in singleDirection defined in InterestDirection complexType),
  interestAccrued (in singleDirection defined in InterestStatementDirection complexType)

Known Usage Locations

- As direct type of elements (4):
  interestAccrued (in bothDirections defined in InterestDirection complexType),
  interestAccrued (in bothDirections defined in InterestStatementDirection complexType),
  interestAccrued (in singleDirection defined in InterestDirection complexType),
  interestAccrued (in singleDirection defined in InterestStatementDirection complexType)

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="InterestAccrued"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="interest" type="Money"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="withholdingTax" type="Money"/> <xsd:element minOccurs="0" name="withholdingTaxTerms" type="WithholdingTaxTerms"/> </xsd:sequence> <xsd:element minOccurs="0" name="interestCalculationTerms" type="InterestCalculationTerms"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="interestCalculationDetails" type="InterestCalculationDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
deliveringPartyReference

  Type: | PartyReference, empty content

  The party delivering the accrued interest.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/>

interest

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="interest" type="Money"/>

interestCalculationDetails

  Type: | InterestCalculationDetails, complex content

  Details optional calculations for each day of the interest period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="interestCalculationDetails" type="InterestCalculationDetails"/>

interestCalculationTerms

  Type: | InterestCalculationTerms, complex content

  Specifies the terms of the interest calculations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestCalculationTerms" type="InterestCalculationTerms"/>

receivingPartyReference

  Type: | PartyReference, empty content

  The party delivering the accrued interest.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/>

withholdingTax

  Type: | Money, complex content

  Specifies the amount of tax withheld.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="withholdingTax" type="Money"/>

withholdingTaxTerms

  Type: | WithholdingTaxTerms, complex content

  Specifies the terms of the tax withholding.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="withholdingTaxTerms" type="WithholdingTaxTerms"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.